Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe.options
Class AbstractOptionPane

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      net.sourceforge.jsxe.gui.GridPanel
                          net.sourceforge.jsxe.options.AbstractOptionPane

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, OptionPane, Serializable

Direct Known Subclasses:
  GeneralOptionPane, ShortcutsOptionPane

public abstract class AbstractOptionPane
extends GridPanel
implements OptionPane

The default implementation of the option pane interface.

Most option panes extend this implementation of `OptionPane`, instead of implementing `OptionPane` directly. This class provides a convenient default framework for laying out configuration options. It adds extra `addComponent` implementations over the `GridPanel` class.

- `#addComponent(Component,String)`
- `addComponent(String,Component)`
- `addComponent(String,Component,int)`
- `addComponent(Component,Component)`
- `addComponent(Component,Component,int)`
- `#addComponent(String, Component, String)`
- `#addComponent(Component, Component, String)`

Since:
  jsXe 0.5 pre1
Version:
  $Id$
Author:
  Slava Pestov, John Gellene (API documentation), Ian Lewis (IanLewis@member.fsf.org)
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class net.sourceforge.jsxe.gui.GridPanel
`gridBag, initialized, y`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AbstractOptionPane(String name)` Creates a new option pane.

Method Summary
`protected abstract void` | `_init()` This method should create and arrange the components of the option pane and initialize the option data displayed to the user.
`protected abstract void` | `_save()` Called when the options dialog's "ok" button is clicked.
`void` | `addComponent(Component comp1, Component comp2)` Adds a labeled component to the option pane.
`void` | `addComponent(Component comp1, Component comp2, int fill)` Adds a labeled component to the option pane.
`void` | `addComponent(JComponent comp1, JComponent comp2, String toolTip)` Adds a labeled component to the option pane.
`void` | `addComponent(JComponent comp, String toolTip)` Adds a tooltipped component to the option pane.
`void` | `addComponent(String label, Component comp)` Adds a labeled component to the option pane.
`void` | `addComponent(String label, Component comp, int fill)` Adds a labeled component to the option pane.
`void` | `addComponent(String label, JComponent comp, String toolTip)` Adds a labeled component to the option pane.
`Component` | `getComponent()` Returns the component that should be displayed for this option pane.
`String` | `getName()` Returns the internal name of this option pane.
`void` | `init()` Do not override this method, override `_init()` instead.
`void` | `save()` Do not override this method, override `_save()` instead.

Methods inherited from class net.sourceforge.jsxe.gui.GridPanel
`addComponent, addComponent, addSeparator, addSeparator`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.jsxe.options.OptionPane
`getTitle`

Constructor Detail

### AbstractOptionPane

    public AbstractOptionPane(String name)

  Creates a new option pane.

Parameters:
  `name` - The internal name.

Method Detail

### getName

    public String getName()

  Description copied from interface: `OptionPane`
  Returns the internal name of this option pane.

  Specified by:
    `getName` in interface `OptionPane`

### getComponent

    public Component getComponent()

  Returns the component that should be displayed for this option pane. Because this class extends Component, it simply returns "this".

  Specified by:
    `getComponent` in interface `OptionPane`

### addComponent

    public void addComponent(JComponent comp,
                             String toolTip)

  Adds a tooltipped component to the option pane. Components are added in a vertical fashion, one per row. The label is displayed to the left of the component.

  Parameters:
    `comp` - The component
    `toolTip` - the tooltip

### addComponent

    public void addComponent(String label,
                             Component comp)

  Adds a labeled component to the option pane. Components are added in a vertical fashion, one per row. The label is displayed to the left of the component.

  Parameters:
    `label` - The label
    `comp` - The component

### addComponent

    public void addComponent(String label,
                             JComponent comp,
                             String toolTip)

  Adds a labeled component to the option pane. Components are added in a vertical fashion, one per row. The label is displayed to the left of the component.

  Parameters:
    `label` - The label
    `comp` - The component
    `toolTip` - The toolTip for the component

### addComponent

    public void addComponent(String label,
                             Component comp,
                             int fill)

  Adds a labeled component to the option pane. Components are added in a vertical fashion, one per row. The label is displayed to the left of the component.

  Parameters:
    `label` - The label
    `comp` - The component
    `fill` - Fill parameter to GridBagConstraints for the right component

### addComponent

    public void addComponent(JComponent comp1,
                             JComponent comp2,
                             String toolTip)

  Adds a labeled component to the option pane. Components are added in a vertical fashion, one per row. The label is displayed to the left of the component.

  Parameters:
    `comp1` - The label
    `comp2` - The component
    `toolTip` - The toolTip text

### addComponent

    public void addComponent(Component comp1,
                             Component comp2)

  Adds a labeled component to the option pane. Components are added in a vertical fashion, one per row. The label is displayed to the left of the component.

  Parameters:
    `comp1` - The label
    `comp2` - The component

### addComponent

    public void addComponent(Component comp1,
                             Component comp2,
                             int fill)

  Adds a labeled component to the option pane. Components are added in a vertical fashion, one per row. The label is displayed to the left of the component.

  Parameters:
    `comp1` - The label
    `comp2` - The component
    `fill` - Fill parameter to GridBagConstraints for the right component

### init

    public void init()

  Do not override this method, override `_init()` instead.

  Specified by:
    `init` in interface `OptionPane`

### save

    public void save()

  Do not override this method, override `_save()` instead.

  Specified by:
    `save` in interface `OptionPane`

### _init

    protected abstract void _init()

  This method should create and arrange the components of the option pane and initialize the option data displayed to the user. This method is called when the option pane is first displayed, and is not called again for the lifetime of the object.

### _save

    protected abstract void _save()

  Called when the options dialog's "ok" button is clicked. This should save any properties being edited in this option pane.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD